Bug 1804324 - rebase valgrind for rhel 8.3
Summary: rebase valgrind for rhel 8.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: valgrind
Version: 8.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Mark Wielaard
QA Contact: Alexandra Petlanová Hájková
Zuzana Zoubkova
URL:
Whiteboard:
Depends On:
Blocks: 1825061
TreeView+ depends on / blocked
 
Reported: 2020-02-18 17:02 UTC by Frank Ch. Eigler
Modified: 2021-09-17 14:55 UTC (History)
6 users (show)

Fixed In Version: valgrind-3.16.0-1.el8
Doc Type: Enhancement
Doc Text:
.Valgrind rebased to version 3.16.0 The Valgrind executable code analysis tool has been updated to version 3.16.0, which provides a number of bug fixes and enhancements over the previous version: * It is now possible to dynamically change the value of many command-line options while your program is running under Valgrind: through `vgdb`, through a `gdb` connected to the Valgrind gdbserver, or through program client requests. To get a list of dynamically changeable options, run the `valgrind --help-dyn-options` command. * For the Cachegrind (`cg_annotate`) and Callgrind (`callgrind_annotate`) tools the `--auto` and `--show-percs` options now default to `yes`. * The Memcheck tool produces fewer false positive errors on optimized code. In particular, Memcheck now better handles the case when the compiler transformed an `A && B` check into `B && A`, where `B` could be undefined and `A` was false. Memcheck also better handles integer equality checks and non-equality checks on partially defined values. * The experimental Stack and Global Array Checking tool (`exp-sgcheck`) has been removed. An alternative for detecting stack and global array overruns is using the AddressSanitizer (ASAN) facility of GCC, which requires you to rebuild your code with the `-fsanitize=address` option.
Clone Of:
Environment:
Last Closed: 2020-11-04 03:36:43 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Frank Ch. Eigler 2020-02-18 17:02:10 UTC
As normal, rebase valgrind for rhel 8.3.

Comment 8 errata-xmlrpc 2020-11-04 03:36:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (valgrind bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2020:4755


Note You need to log in before you can comment on or make changes to this bug.